<h4>Recent Files</h4>
<ecms-accordion-container>
<div class="ingestion-search">
  <ingestion-search-component (onSearch)="handlerSearch($event)"></ingestion-search-component>
</div>
  <br>
   <ecms-accordion title="Uploaded Content">
     <table class="table table-striped" [mfData]="uploadedContent | dataFilter : filterQuery" #firstTable="mfDataTable"
            [mfRowsOnPage]="rowsOnPage" [(mfSortBy)]="sortBy" [(mfSortOrder)]="sortOrder">
       <thead>
       <tr>
         <th (click)="changeSortField('fileName')">
           <mfDefaultSorter by="fileName">File Name</mfDefaultSorter>
         </th>
         <th>
           <mfDefaultSorter by="configuration">Configuration</mfDefaultSorter>
         </th>
         <th>
           <mfDefaultSorter by="ingestedDate">Date</mfDefaultSorter>
         </th>
         <th>Actions</th>
       </tr>
       </thead>
       <tbody>
       <tr *ngFor="let content of firstTable.data |jobListFilter:filter.jobName:filter.jobStartDate">
         <td>{{content.fileName}}</td>
         <td>{{content.configuration}}</td>
         <td>{{content.ingestedDate |date:'medium' }}</td>
         <td><button (click)="startImport(content.fileName,content.configurationId,content.ingestionDetailInternalId)" class="btn btn-outline-primary">Import</button></td>
       </tr>
       </tbody>
       <tfoot>
       <tr>
         <td colspan="5">
           <mfBootstrapPaginator></mfBootstrapPaginator>
         </td>
       </tr>
       </tfoot>
     </table>
   </ecms-accordion>


   <ecms-accordion title="Ingestion Content">
     <table class="table table-striped" [mfData]="jobList | dataFilter : filterQuery" #secondTable="mfDataTable"
            [mfRowsOnPage]="rowsOnPage" [(mfSortBy)]="sortBy" [(mfSortOrder)]="sortOrder">
       <thead>
       <tr>
         <th>
           <mfDefaultSorter by="fileName">File Name</mfDefaultSorter>
         </th>
         <th>
           <mfDefaultSorter by="configuration">Configuration</mfDefaultSorter>
         </th>
         <th>
           <mfDefaultSorter by="titleCount">Title Count</mfDefaultSorter>
         </th>
         <th>
           <mfDefaultSorter by="ingestedDate">Date</mfDefaultSorter>
         </th>
         <th>
           <mfDefaultSorter by="status">Status</mfDefaultSorter>
         </th>
         <th>Actions</th>
       </tr>
       </thead>
       <tbody>

       <!--for status filter error, We might have to change the response name from status to something else-->
       <tr *ngFor="let job of secondTable.data |jobListFilter:filter.jobName:filter.jobStartDate">

         <td>{{job.fileName}}</td>

         <td>{{job.configuration}}</td>

         <td>{{job.titleCount}}</td>
         <td>{{job.ingestedDate |date:'medium'}}</td>

         <td>{{job.status}}</td>

         <td nowrap>

           <a [routerLinkActive]="['active']" [routerLink]="['../../job-details',job.ingestionDetailInternalId]">View</a>
         </td>
       </tr>
       </tbody>
       <tfoot>
       <tr>
         <td colspan="5">
           <mfBootstrapPaginator></mfBootstrapPaginator>
         </td>
       </tr>
       </tfoot>
     </table>
   </ecms-accordion>

</ecms-accordion-container>
